diff mbox series

[blktests,09/11] nvme/036: Add test for testing reset command on nvme-passthru

Message ID 20200827194912.6135-10-logang@deltatee.com (mailing list archive)
State New, archived
Headers show
Series NVMe Target Passthru Block Tests | expand

Commit Message

Logan Gunthorpe Aug. 27, 2020, 7:49 p.m. UTC
Similar to test 022 but for passthru controllers.

Signed-off-by: Logan Gunthorpe <logang@deltatee.com>
---
 tests/nvme/036     | 39 +++++++++++++++++++++++++++++++++++++++
 tests/nvme/036.out |  2 ++
 2 files changed, 41 insertions(+)
 create mode 100755 tests/nvme/036
 create mode 100644 tests/nvme/036.out
diff mbox series

Patch

diff --git a/tests/nvme/036 b/tests/nvme/036
new file mode 100755
index 000000000000..133aba6425a5
--- /dev/null
+++ b/tests/nvme/036
@@ -0,0 +1,39 @@ 
+#!/bin/bash
+# SPDX-License-Identifier: GPL-3.0+
+# Copyright (C) 2019 Logan Gunthorpe
+# Copyright (C) 2019 Eideticom Communications Inc.
+
+. tests/nvme/rc
+
+DESCRIPTION="test NVMe reset command on an NVMeOF target with a passthru controller"
+QUICK=1
+
+requires() {
+	_have_program nvme &&
+	_have_modules nvme-loop nvmet &&
+	_have_configfs &&
+	_have_kernel_option NVME_TARGET_PASSTHRU
+}
+
+test_device() {
+	local subsys="blktests-subsystem-1"
+	local ctrldev
+	local port
+
+	echo "Running ${TEST_NAME}"
+
+	_setup_nvmet
+	port=$(_nvmet_passthru_target_setup "$subsys")
+	_nvmet_passthru_target_connect "$subsys" > /dev/null
+
+	ctrldev=$(_find_nvme_loop_dev "$subsys")
+
+	if ! nvme reset "/dev/${ctrldev}" >> "$FULL" 2>&1; then
+		echo "ERROR: reset failed"
+	fi
+
+	_nvmet_passthru_target_disconnect "$subsys"
+	_nvmet_passthru_target_cleanup "$port" "$subsys"
+
+	echo "Test complete"
+}
diff --git a/tests/nvme/036.out b/tests/nvme/036.out
new file mode 100644
index 000000000000..58676b1c69f8
--- /dev/null
+++ b/tests/nvme/036.out
@@ -0,0 +1,2 @@ 
+Running nvme/036
+Test complete